org.eclipse.oomph.util

## Class ZIPUtil.FileSystemUnzipHandler

- java.lang.Object
- - org.eclipse.oomph.util.ZIPUtil.FileSystemUnzipHandler

- All Implemented Interfaces:
    ZIPUtil.UnzipHandler
  Enclosing class:
    ZIPUtil

      public static class ZIPUtil.FileSystemUnzipHandler
      extends Object
      implements ZIPUtil.UnzipHandler

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZIPUtil.FileSystemUnzipHandler(File targetFolder)`
    `ZIPUtil.FileSystemUnzipHandler(File targetFolder, int bufferSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getTargetFolder()`
    `void` | `unzipDirectory(String name)`
    `void` | `unzipFile(String name, InputStream zipStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZIPUtil.FileSystemUnzipHandler

          public ZIPUtil.FileSystemUnzipHandler(File targetFolder,
                                        int bufferSize)

    - #### ZIPUtil.FileSystemUnzipHandler

          public ZIPUtil.FileSystemUnzipHandler(File targetFolder)

  - ### Method Detail

    - #### getTargetFolder

          public File getTargetFolder()

    - #### unzipDirectory

          public void unzipDirectory(String name)

      Specified by:
        `unzipDirectory` in interface `ZIPUtil.UnzipHandler`

    - #### unzipFile

          public void unzipFile(String name,
                       InputStream zipStream)

      Specified by:
        `unzipFile` in interface `ZIPUtil.UnzipHandler`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html